from flask import render_template
from ...database.models.Substance import Substance

def index(name=None):
    substances = Substance.query.all()
    return render_template('binaryMixtures/equilibrium.html.jinja', substances=substances)

def pressureCompositionDiagram():
    substances = Substance.query.all()
    return render_template('binaryMixtures/pressure_composition_diagram.html.jinja', substances=substances)

def temperatureCompositionDiagram():
    substances = Substance.query.all()
    return render_template('binaryMixtures/temperature_composition_diagram.html.jinja', substances=substances)
