from flask import render_template
from ...database.models.Substance import Substance


def index(name=None):
    substances = Substance.query.all()
    return render_template('pureSubstances/equilibrium.html.jinja', substances=substances)


def pressureVolumeDiagram():
    substances = Substance.query.all()
    return render_template('pureSubstances/pressure_volume_diagram.html.jinja', substances=substances)


def temperatureVolumeDiagram():
    substances = Substance.query.all()
    return render_template('pureSubstances/temperature_volume_diagram.html.jinja', substances=substances)

def pressureTemperatureVolumeDiagram():
    substances = Substance.query.all()
    return render_template('pureSubstances/pressure_volume_temperature_diagram.html.jinja', substances=substances)
