from ..models.Substance import Substance
import numpy as np
from flask import current_app
from flask_sqlalchemy import SQLAlchemy

db = SQLAlchemy(current_app)

import pandas as pd

def run():
    print('running SubstanceTableSeeder...')
    df = pd.read_csv('atomo4/database/seeders/substances.csv')

    for index, row in df.iterrows():
        values=row.values
        
        #substance = Substance(values[0],values[1],values[2],values[3],values[4],values[5],values[6],values[7],values[8],values[9],values[10],values[11],values[12],values[13],values[14],values[15],values[16],values[17],values[18],values[19],values[20],values[21],values[22],values[23],values[24],values[25],values[26],values[27],values[28],values[29],values[30],values[31],values[32],values[33],values[34],values[35],values[36],values[37],values[38],values[39],values[40],values[41],values[42],values[43],values[44],values[45],values[46],values[47],values[48],values[49],values[50],values[51],values[52],values[53],values[54],values[55],values[56],values[57],values[58],values[59],values[60],values[61],values[62],values[63],values[64],values[65],values[66],values[67],values[68],values[69],values[70],values[71],values[72],values[73],values[74],values[75],values[76],values[77],values[78],values[79],values[80],values[81],values[82],values[83],values[84],values[85],values[86],values[87],values[88],values[89],values[90],values[91],values[92],values[93],values[94],values[95],values[96],values[97],values[98],values[99],values[100],values[101],values[102],values[103],values[104],values[105],values[106],values[107],values[108],values[109],values[110],values[111],values[112],values[113],values[114],values[115],values[116],values[117],values[118],values[119],values[120],values[121],values[122],values[123],values[124],values[125],values[126],values[127],values[128],values[129],values[130],values[131],values[132],values[133],values[134],values[135],values[136],values[137],values[138],values[139],values[140],values[141],values[142],values[143],values[144],values[145],values[146],values[147],values[148],values[149],values[150],values[151],values[152],values[153],values[154],values[155],values[156],values[157],values[158],values[159],values[160],values[161],values[162],values[163],values[164],values[165],values[166],values[167])
        substance = Substance()

        substance.name = values[0]
        substance.slug = values[1]
        substance.formula = values[2]
        substance.critical_temperature = values[3]
        substance.critical_pressure = values[4]
        substance.critical_volume = values[5]
        substance.critical_compressibility = values[6]
        substance.normal_boiling_point_temperature = values[7]
        substance.normal_melting_point_temperature = values[8]
        substance.triple_point_temperature = values[9]
        substance.triple_point_pressure = values[10]
        substance.molecular_weight = values[11]
        substance.liquid_volume_at_normal_boiling_point = values[12]
        substance.acentric_factor = values[13]
        substance.radius_of_gyration = values[14]
        substance.solubility_parameter = values[15]
        substance.dipole_moment = values[16]
        substance.van_der_waals_volume = values[17]
        substance.van_der_waals_area = values[18]
        substance.heat_of_formation = values[19]
        substance.gibbs_energy_of_formation = values[20]
        substance.absolute_entropy = values[21]
        substance.heat_of_fusion_at_melting_point = values[22]
        substance.heat_of_combustion = values[23]
        substance.matthias_copeman_c1 = values[24]
        substance.matthias_copeman_c2 = values[25]
        substance.matthias_copeman_c3 = values[26]
        substance.solid_density_equation = values[27]
        substance.solid_density_a = values[28]
        substance.solid_density_b = values[29]
        substance.solid_density_c = values[30]
        substance.solid_density_d = values[31]
        substance.solid_density_e = values[32]
        substance.solid_density_t_min = values[33]
        substance.solid_density_t_max = values[34]
        substance.liquid_density_equation = values[35]
        substance.liquid_density_a = values[36]
        substance.liquid_density_b = values[37]
        substance.liquid_density_c = values[38]
        substance.liquid_density_d = values[39]
        substance.liquid_density_e = values[40]
        substance.liquid_density_t_min = values[41]
        substance.liquid_density_t_max = values[42]
        substance.vapor_pressure_equation = values[43]
        substance.vapor_pressure_a = values[44]
        substance.vapor_pressure_b = values[45]
        substance.vapor_pressure_c = values[46]
        substance.vapor_pressure_d = values[47]
        substance.vapor_pressure_e = values[48]
        substance.vapor_pressure_t_min = values[49]
        substance.vapor_pressure_t_max = values[50]
        substance.heat_of_vaporization_equation = values[51]
        substance.heat_of_vaporization_a = values[52]
        substance.heat_of_vaporization_b = values[53]
        substance.heat_of_vaporization_c = values[54]
        substance.heat_of_vaporization_d = values[55]
        substance.heat_of_vaporization_e = values[56]
        substance.heat_of_vaporization_t_min = values[57]
        substance.heat_of_vaporization_t_max = values[58]
        substance.liquid_heat_capacity_equation = values[59]
        substance.liquid_heat_capacity_a = values[60]
        substance.liquid_heat_capacity_b = values[61]
        substance.liquid_heat_capacity_c = values[62]
        substance.liquid_heat_capacity_d = values[63]
        substance.liquid_heat_capacity_e = values[64]
        substance.liquid_heat_capacity_t_min = values[65]
        substance.liquid_heat_capacity_t_max = values[66]
        substance.ideal_gas_heat_capacity_equation = values[67]
        substance.ideal_gas_heat_capacity_a = values[68]
        substance.ideal_gas_heat_capacity_b = values[69]
        substance.ideal_gas_heat_capacity_c = values[70]
        substance.ideal_gas_heat_capacity_d = values[71]
        substance.ideal_gas_heat_capacity_e = values[72]
        substance.ideal_gas_heat_capacity_t_min = values[73]
        substance.ideal_gas_heat_capacity_t_max = values[74]
        substance.second_virial_coefficient_equation = values[75]
        substance.second_virial_coefficient_a = values[76]
        substance.second_virial_coefficient_b = values[77]
        substance.second_virial_coefficient_c = values[78]
        substance.second_virial_coefficient_d = values[79]
        substance.second_virial_coefficient_e = values[80]
        substance.second_virial_coefficient_t_min = values[81]
        substance.second_virial_coefficient_t_max = values[82]
        substance.liquid_viscosity_equation = values[83]
        substance.liquid_viscosity_a = values[84]
        substance.liquid_viscosity_b = values[85]
        substance.liquid_viscosity_c = values[86]
        substance.liquid_viscosity_d = values[87]
        substance.liquid_viscosity_e = values[88]
        substance.liquid_viscosity_t_min = values[89]
        substance.liquid_viscosity_t_max = values[90]
        substance.vapor_viscosity_equation = values[91]
        substance.vapor_viscosity_a = values[92]
        substance.vapor_viscosity_b = values[93]
        substance.vapor_viscosity_c = values[94]
        substance.vapor_viscosity_d = values[95]
        substance.vapor_viscosity_t_min = values[96]
        substance.vapor_viscosity_t_max = values[97]
        substance.liquid_thermal_conductivity_equation = values[98]
        substance.liquid_thermal_conductivity_a = values[99]
        substance.liquid_thermal_conductivity_b = values[100]
        substance.liquid_thermal_conductivity_c = values[101]
        substance.liquid_thermal_conductivity_d = values[102]
        substance.liquid_thermal_conductivity_e = values[103]
        substance.liquid_thermal_conductivity_t_min = values[104]
        substance.liquid_thermal_conductivity_t_max = values[105]
        substance.surface_tension_equation = values[106]
        substance.surface_tension_a = values[107]
        substance.surface_tension_b = values[108]
        substance.surface_tension_c = values[109]
        substance.surface_tension_d = values[110]
        substance.surface_tension_e = values[111]
        substance.surface_tension_t_min = values[112]
        substance.surface_tension_t_max = values[113]
        substance.vapor_thermal_conductivity_equation = values[114]
        substance.vapor_thermal_conductivity_a = values[115]
        substance.vapor_thermal_conductivity_b = values[116]
        substance.vapor_thermal_conductivity_c = values[117]
        substance.vapor_thermal_conductivity_d = values[118]
        substance.vapor_thermal_conductivity_e = values[119]
        substance.vapor_thermal_conductivity_t_min = values[120]
        substance.vapor_thermal_conductivity_t_max = values[121]
        substance.ideal_gas_heat_capacity_rpp_equation = values[122]
        substance.ideal_gas_heat_capacity_rpp_a = values[123]
        substance.ideal_gas_heat_capacity_rpp_b = values[124]
        substance.ideal_gas_heat_capacity_rpp_c = values[125]
        substance.ideal_gas_heat_capacity_rpp_d = values[126]
        substance.ideal_gas_heat_capacity_rpp_e = values[127]
        substance.ideal_gas_heat_capacity_rpp_t_min = values[128]
        substance.ideal_gas_heat_capacity_rpp_t_max = values[129]
        substance.relative_static_permittivity_equation = values[130]
        substance.relative_static_permittivity_a = values[131]
        substance.relative_static_permittivity_b = values[132]
        substance.relative_static_permittivity_c = values[133]
        substance.relative_static_permittivity_d = values[134]
        substance.relative_static_permittivity_e = values[135]
        substance.relative_static_permittivity_t_min = values[136]
        substance.relative_static_permittivity_t_max = values[137]
        substance.antoine_vapor_pressure_equation = values[138]
        substance.antoine_vapor_pressure_a = values[139]
        substance.antoine_vapor_pressure_b = values[140]
        substance.antoine_vapor_pressure_c = values[141]
        substance.antoine_vapor_pressure_t_min = values[142]
        substance.antoine_vapor_pressure_t_max = values[143]
        substance.liquid_viscosity_rps_equation = values[144]
        substance.liquid_viscosity_rps_a = values[145]
        substance.liquid_viscosity_rps_b = values[146]
        substance.liquid_viscosity_rps_c = values[147]
        substance.liquid_viscosity_rps_d = values[148]
        substance.liquid_viscosity_rps_e = values[149]
        substance.liquid_viscosity_rps_t_min = values[150]
        substance.liquid_viscosity_rps_t_max = values[151]
        substance.costald_volume = values[152]
        substance.lennard_jones_diameter = values[153]
        substance.lennard_jones_energy = values[154]
        substance.rackett_parameter = values[155]
        substance.fuller_difffusion_volume = values[156]
        substance.parachor = values[157]
        substance.specific_gravity = values[158]
        substance.charge = values[159]
        substance.srk_acentric_factor = values[160]
        substance.wilson_volume = values[161]
        substance.uniquac_r = values[162]
        substance.uniquac_q = values[163]
        substance.uniquac_qp = values[164]
        substance.chao_seader_acentric_factor = values[165]
        substance.chao_seader_solubility_paramater = values[166]
        substance.chao_seader_liquid_volume = values[167]

        db.session.add(substance)
    
    db.session.commit()
